cryptohash-0.11.2: collection of crypto hashes, fast, pure and practical

Portability | unknown
Stability | experimental
Maintainer | Vincent Hanquez <vincent@snarc.org>
Safe Haskell | Trustworthy

Crypto.MAC.HMAC

Description

provide the HMAC (Hash based Message Authentification Code) base algorithm. http:en.wikipedia.orgwikiHMAC

Synopsis

- hmac :: (ByteString -> ByteString) -> Int -> ByteString -> ByteString -> ByteString

# Documentation

hmac :: (ByteString -> ByteString) -> Int -> ByteString -> ByteString -> ByteString Source

compute a MAC using the supplied hashing function